OracleVM 2.1 : xen (OVMSA-2008-2003)

This script is Copyright (C) 2014-2017 Tenable Network Security, Inc.


Synopsis :

The remote OracleVM host is missing one or more security updates.

Description :

The remote OracleVM system is missing necessary patches to address
critical security updates :

- Disable QEMU image format auto-detection (CVE-2008-2004)

- Fix PVFB to validate frame buffer description

- Fix PVFB to cope with bogus update requests

- Fix QEMU buffer overflow (CVE-2007-5730)

- Fix QEMU block device extents checking (CVE-2008-0928)

- Fix FV O_DIRECT flushing

See also :

https://oss.oracle.com/pipermail/oraclevm-errata/2008-May/000002.html

Solution :

Update the affected packages.

Risk factor :

Medium / CVSS Base Score : 6.6
(CVSS2#AV:L/AC:M/Au:S/C:C/I:C/A:C)
CVSS Temporal Score : 5.7
(CVSS2#E:ND/RL:OF/RC:C)
Public Exploit Available : false

Family: OracleVM Local Security Checks

Nessus Plugin ID: 79446 ()

Bugtraq ID: 23731
28001

CVE ID: CVE-2007-5730
CVE-2008-0928
CVE-2008-2004

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now